SmlCommand Struct Reference
libsyncml API Internals » Low Level API Internals » SyncML Command Internals
Collaboration diagram for SmlCommand:

## Data Fields

gint | refCount
SmlCommandType | type
unsigned int | cmdID
unsigned int | msgID
SmlCommandPrivate | private
SmlLocation * | source
SmlLocation * | target
SmlPendingStatus * | pendingReply
GList * | children
SmlCommand * | parent
SmlBool | noResp
unsigned int | size
SmlBool | pushedBack

## Detailed Description

Definition at line 73 of file sml_command_internals.h.

## Field Documentation

SmlBool SmlCommand::pushedBack

True if the command has already seen a mismatch in size. If a second mismatch happens, the command is simply too large

Definition at line 91 of file sml_command_internals.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/sml_command_internals.h